Loading...
Searching...
No Matches
websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager > Class Template Reference

`#include <alloc.hpp>`

## Public Types

typedef con_msg_manager::ptr | con_msg_man_ptr
typedef con_msg_manager::ptr | con_msg_man_ptr

## Public Member Functions

con_msg_man_ptr | get_manager () const
| Get a pointer to a connection message manager.
con_msg_man_ptr | get_manager () const
| Get a pointer to a connection message manager.

## Detailed Description

template<typename con_msg_manager>
class websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager >

An endpoint message manager that allocates a new manager for each connection.

Definition at line 88 of file alloc.hpp.

## Member Typedef Documentation

## con_msg_man_ptr [1/2]

template<typename con_msg_manager>

typedef con_msg_manager::ptr websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager >::con_msg_man_ptr

Definition at line 90 of file alloc.hpp.

## con_msg_man_ptr [2/2]

template<typename con_msg_manager>

typedef con_msg_manager::ptr websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager >::con_msg_man_ptr

Definition at line 197 of file pool.hpp.

## Member Function Documentation

## get_manager() [1/2]

template<typename con_msg_manager>

con_msg_man_ptr websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager >::get_manager | ( |  | ) | const

inline

Get a pointer to a connection message manager.

Returns
  A pointer to the requested connection message manager.

Definition at line 96 of file alloc.hpp.

## get_manager() [2/2]

template<typename con_msg_manager>

con_msg_man_ptr websocketpp::message_buffer::alloc::endpoint_msg_manager< con_msg_manager >::get_manager | ( |  | ) | const

inline

Get a pointer to a connection message manager.

Returns
  A pointer to the requested connection message manager.

Definition at line 203 of file pool.hpp.

The documentation for this class was generated from the following files:

- websocketpp/message_buffer/alloc.hpp
- websocketpp/message_buffer/pool.hpp